Package com.google.android.exoplayer2.testutil

## Class DecoderCountersUtil

- java.lang.Object
- - com.google.android.exoplayer2.testutil.DecoderCountersUtil

-     public final class DecoderCountersUtil
      extends Object

  Assertions for `DecoderCounters`.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `assertConsecutiveDroppedBufferLimit​(String name, DecoderCounters counters, int limit)` |
    `static void` | `assertDroppedBufferLimit​(String name, DecoderCounters counters, int limit)` |
    `static void` | `assertSkippedOutputBufferCount​(String name, DecoderCounters counters, int expected)` |
    `static void` | `assertTotalBufferCount​(String name, DecoderCounters counters, int minCount, int maxCount)` |
    `static void` | `assertVideoFrameProcessingOffsetSampleCount​(String name, DecoderCounters counters, int minCount, int maxCount)` |
    `static int` | `getTotalBufferCount​(DecoderCounters counters)` | Returns the sum of the skipped, dropped and rendered buffers.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getTotalBufferCount

          public static int getTotalBufferCount​(DecoderCounters counters)

      Returns the sum of the skipped, dropped and rendered buffers.
      Parameters:
        `counters` - The counters for which the total should be calculated.
      Returns:
        The sum of the skipped, dropped and rendered buffers.

    - #### assertSkippedOutputBufferCount

          public static void assertSkippedOutputBufferCount​(String name,
                                                            DecoderCounters counters,
                                                            int expected)

    - #### assertTotalBufferCount

          public static void assertTotalBufferCount​(String name,
                                                    DecoderCounters counters,
                                                    int minCount,
                                                    int maxCount)

    - #### assertDroppedBufferLimit

          public static void assertDroppedBufferLimit​(String name,
                                                      DecoderCounters counters,
                                                      int limit)

    - #### assertConsecutiveDroppedBufferLimit

          public static void assertConsecutiveDroppedBufferLimit​(String name,
                                                                 DecoderCounters counters,
                                                                 int limit)

    - #### assertVideoFrameProcessingOffsetSampleCount

          public static void assertVideoFrameProcessingOffsetSampleCount​(String name,
                                                                         DecoderCounters counters,
                                                                         int minCount,
                                                                         int maxCount)